[R] Eror message: not a valid package -- installed < 2.0.0

Ben Bolker bolker at ufl.edu
Thu Feb 12 16:31:59 CET 2009


  Well, for a start how about

./configure --with-iconv=no

 and see where you get from there?

  I don't know where "make" lives on your
machine, but it must be somewhere: /usr/ccs/bin/make ??

find / -name "make" ?

  Ben Bolker


Powers, Randall - BLS wrote:
> I am running 2.6.0 because I can't seem to get 2.8.1 configured
> properly. 
> 
> When I do ./configure, it goes through a long list, and ends with
> 
>  configure: error: --with-iconv=yes (default) and a suitable iconv is
> not available
> 
> When I run make, I get the message below.
> 
> 
> # make
> make: not found
> 
> So does anybody have any help regarding how do get the install to work?
> Otherwise, I am stuck with 2.6.0.
> 
> Thanks
> 
> -----Original Message-----
> From: r-help-bounces at r-project.org [mailto:r-help-bounces at r-project.org]
> On Behalf Of Ben Bolker
> Sent: Wednesday, February 11, 2009 2:49 PM
> To: r-help at r-project.org
> Subject: Re: [R] Eror message: not a valid package -- installed < 2.0.0
> 
> 
>    Is there any reason you can't just install an up-to-date version of R
> (R 2.8.1), from cran.us.r-project.org (or your favorite mirror, see
> www.r-project.org) and see if that fixes the problem?  Installing R on
> SunOS is not quite the breeze that it is on MacOS, Windows, or Linux,
> but it's not that bad ... and you are much more likely to get help from
> the list if you make it worth people's while to help you by either (1)
> explaining why you are stuck with an old version [regulatory
> compliance/mission-critical old R software] or (2) installing recent R
> and showing that the problem persists.
> 
>  Ben Bolker
> 
> 
> Powers, Randall - BLS wrote:
>>
>>
>>> Hello R-help,
>>>
>>>
>>> We are running R version 2.6.0 (2007-10-03). I believe that I got it 
>>> from www.sunfreeware.com. A number of the packages that we attempt to
> 
>>> download from http://www.r-project.org/  give us the error message 
>>> below when we attempt to run them.
>>>
> 
> --
> View this message in context:
> http://www.nabble.com/Eror-message%3A--not-a-valid-package----installed-
> %3C-2.0.0-tp21962051p21962788.html
> Sent from the R help mailing list archive at Nabble.com.
> 
> ______________________________________________
> R-help at r-project.org mailing list
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide
> http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
> 


-- 
Ben Bolker
Associate professor, Biology Dep't, Univ. of Florida
bolker at ufl.edu / www.zoology.ufl.edu/bolker
GPG key: www.zoology.ufl.edu/bolker/benbolker-publickey.asc

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 260 bytes
Desc: OpenPGP digital signature
URL: <https://stat.ethz.ch/pipermail/r-help/attachments/20090212/5a9c40b8/attachment.bin>


More information about the R-help mailing list